---
agentTools:
  projectIndex: https://sendinblue.readme.io/llms.txt
---

# Get lists in a folder

> ❗️ Ongoing changes for this endpoint.
>
> We're dropping support for the response attributes `totalSubscribers` and `totalBlacklisted`.\
> **These are non breaking changes.** The default value for the attributes will be 0.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "contact": {
      "email": "contact@brevo.com",
      "name": "Brevo Support",
      "url": "https://account.brevo.com/support"
    },
    "description": "Brevo provide a RESTFul API that can be used with any languages. With this API, you will be able to :\n  - Manage your campaigns and get the statistics\n  - Manage your contacts\n  - Send transactional Emails and SMS\n  - and much more...\n\nYou can download our wrappers at https://github.com/orgs/brevo\n**Possible responses**\n  | Code | Message |\n  | :-------------: | ------------- |\n  | 200  | OK. Successful Request  |\n  | 201  | OK. Successful Creation |\n  | 202  | OK. Request accepted |\n  | 204  | OK. Successful Update/Deletion  |\n  | 400  | Error. Bad Request  |\n  | 401  | Error. Authentication Needed  |\n  | 402  | Error. Not enough credit, plan upgrade needed  |\n  | 403  | Error. Permission denied  |\n  | 404  | Error. Object does not exist |\n  | 405  | Error. Method not allowed  |\n  | 406  | Error. Not Acceptable  |\n  | 422  | Error. Unprocessable Entity |\n",
    "license": {
      "name": "MIT",
      "url": "http://opensource.org/licenses/MIT"
    },
    "title": "Brevo API",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.brevo.com/v3"
    }
  ],
  "security": [
    {
      "api-key": []
    },
    {
      "partner-key": []
    }
  ],
  "paths": {
    "/contacts/folders/{folderId}/lists": {
      "get": {
        "operationId": "getFolderLists",
        "parameters": [
          {
            "description": "Id of the folder",
            "in": "path",
            "name": "folderId",
            "required": true,
            "schema": {
              "format": "int64",
              "type": "integer"
            }
          },
          {
            "description": "Number of documents per page",
            "in": "query",
            "name": "limit",
            "schema": {
              "default": 10,
              "format": "int64",
              "maximum": 50,
              "minimum": 0,
              "type": "integer"
            }
          },
          {
            "description": "Index of the first document of the page",
            "in": "query",
            "name": "offset",
            "schema": {
              "default": 0,
              "format": "int64",
              "type": "integer"
            }
          },
          {
            "description": "Sort the results in the ascending/descending order of record creation. Default order is **descending** if `sort` is not passed",
            "in": "query",
            "name": "sort",
            "required": false,
            "schema": {
              "default": "desc",
              "enum": [
                "asc",
                "desc"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "examples": {
                  "response": {
                    "value": {
                      "count": 3,
                      "lists": [
                        {
                          "id": 46,
                          "name": "Reactiv",
                          "totalBlacklisted": 0,
                          "totalSubscribers": 7655,
                          "uniqueSubscribers": 7655
                        },
                        {
                          "id": 41,
                          "name": "NY_Area",
                          "totalBlacklisted": 23,
                          "totalSubscribers": 3654,
                          "uniqueSubscribers": 3677
                        },
                        {
                          "id": 22,
                          "name": "VIP_Customer",
                          "totalBlacklisted": 72,
                          "totalSubscribers": 8753,
                          "uniqueSubscribers": 8826
                        }
                      ]
                    }
                  }
                },
                "schema": {
                  "properties": {
                    "count": {
                      "description": "Number of lists in the folder",
                      "example": 6,
                      "format": "int64",
                      "type": "integer"
                    },
                    "lists": {
                      "items": {
                        "allOf": [
                          {
                            "$ref": "#/components/schemas/getList"
                          }
                        ],
                        "type": "object"
                      },
                      "type": "array"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Folder's Lists details"
          },
          "400": {
            "$ref": "#/components/responses/errorModel"
          },
          "404": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/errorModel"
                }
              }
            },
            "description": "Folder ID not found"
          }
        },
        "summary": "Get lists in a folder",
        "tags": [
          "Contacts"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api-key": {
        "description": "The API key should be passed in the request headers as `api-key` for authentication.",
        "in": "header",
        "name": "api-key",
        "type": "apiKey"
      },
      "partner-key": {
        "description": "The partner key should be passed in the request headers as `partner-key` along with `api-key` pair for successful authentication of partner (Optional).",
        "in": "header",
        "name": "partner-key",
        "type": "apiKey"
      }
    },
    "schemas": {
      "errorModel": {
        "properties": {
          "code": {
            "description": "Error code displayed in case of a failure",
            "example": "method_not_allowed",
            "type": "string"
          },
          "message": {
            "description": "Readable message associated to the failure",
            "example": "POST Method is not allowed on this path",
            "type": "string"
          }
        },
        "required": [
          "message"
        ],
        "type": "object"
      },
      "getList": {
        "properties": {
          "id": {
            "description": "ID of the list",
            "example": 23,
            "format": "int64",
            "type": "integer"
          },
          "name": {
            "description": "Name of the list",
            "example": "Magento Customers - EN",
            "type": "string"
          },
          "totalBlacklisted": {
            "description": "Number of blacklisted contacts in the list",
            "example": 13,
            "format": "int64",
            "type": "integer"
          },
          "totalSubscribers": {
            "description": "Number of contacts in the list",
            "example": 1776,
            "format": "int64",
            "type": "integer"
          },
          "uniqueSubscribers": {
            "description": "Number of unique contacts in the list",
            "example": 1789,
            "format": "int64",
            "type": "integer"
          }
        },
        "required": [
          "id",
          "name",
          "totalBlacklisted",
          "totalSubscribers",
          "uniqueSubscribers"
        ],
        "type": "object"
      }
    },
    "responses": {
      "errorModel": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "code": {
                  "description": "Error code displayed in case of a failure",
                  "enum": [
                    "invalid_parameter",
                    "missing_parameter",
                    "out_of_range",
                    "campaign_processing",
                    "campaign_sent",
                    "document_not_found",
                    "not_enough_credits",
                    "permission_denied",
                    "duplicate_parameter",
                    "duplicate_request",
                    "method_not_allowed",
                    "unauthorized",
                    "account_under_validation",
                    "not_acceptable",
                    "bad_request",
                    "unprocessable_entity",
                    "Domain does not exist",
                    "Contact email not found",
                    "Attribute not found",
                    "Category id not found",
                    "Invalid parameters passed",
                    "Record(s) for identifier not found",
                    "Returned when query params are invalid",
                    "Returned when invalid data posted",
                    "Feed not found",
                    "Campaign ID not found",
                    "api-key not found",
                    "DMARC policy requires domain authentication",
                    "DNS records not properly configured",
                    "Invalid OTP code provided",
                    "OTP code has expired",
                    "Domain already exists in your account",
                    "The sum of all IP weights must equal 100",
                    "Authentication failed",
                    "Insufficient credits",
                    "Request already processed"
                  ],
                  "example": "method_not_allowed",
                  "type": "string"
                },
                "message": {
                  "description": "Readable message associated to the failure",
                  "example": "POST Method is not allowed on this path",
                  "type": "string"
                }
              },
              "required": [
                "code",
                "message"
              ],
              "type": "object"
            }
          }
        },
        "description": "bad request"
      }
    }
  },
  "x-samples-languages": [
    "curl"
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 91,
      "1": 104,
      "2": 180,
      "3": 205,
      "4": 240,
      "5": 82,
      "6": 207,
      "7": 0,
      "8": 3,
      "9": 36,
      "10": 63,
      "11": 142
    }
  }
}
```